<template>
  <b-container class="container">
    <b-row align-h="center">
      <b-col>
        <b-form-input 
        class="col" 
        v-model="newTodo"
        placeholder="o que precisa ser feito?"
        @keydown.enter="addTodoItem"></b-form-input>
      </b-col>
    </b-row>
  </b-container>
</template>

<script>
export default {
  name: 'InputTodoItem',
  data () {
    return {
      newTodo: ''
    }
  },
  methods:{
    addTodoItem(){
      const vm = this;
      alert("Novo TODO: " + vm.newTodo);
      vm.newTodo = '';
    }
  }
}
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped>
h3 {
  margin: 40px 0 0;
}
ul {
  list-style-type: none;
  padding: 0;
}
li {
  display: inline-block;
  margin: 0 10px;
}
a {
  color: #42b983;
}
</style>
